#include "djbio.h"

int djbio_copy(register djbio *iop_out, register djbio *iop_in)
{
  register int n;
  register byte_t *x;
  for (;;) {
    n = djbio_feed(iop_in);
    if (n < 0) return -2;
    if (!n) return 0;
    x = djbio_PEEK(iop_in);
    if (djbio_put(iop_out, x, (unsigned int)n) < 0) return -3;
    djbio_SEEK(iop_in, (unsigned int)n);
  }
}
