#include <nemo/byte.h>

#include "djbio.h"

int djbio_putalign(register djbio *iop, const void *in, register unsigned int len)
{
  unsigned int n;
  register const byte_t *buf;

  buf = in;
  while (len > (n = iop->n - iop->p)) {
    byte_copy(iop->x + iop->p, n, buf);
    iop->p += n;
    buf += n;
    len -= n;
    if (djbio_flush(iop) < 0) return -1;
  }
  /* now len <= iop->n - iop->p */
  byte_copy(iop->x + iop->p, len, buf);
  iop->p += len;
  return 0;
}
