#include "djbio.h"
#include "djbiofd.h"

#include <nemo/unix.h>

static ssize_t read_large(int fd, void *buf, size_t len)
{
  if (djbio_flush(djbiofd_out) < 0) return -1;
  return read(fd, buf, len);
}

static char inbuf[DJBIO_INSIZE];
static djbio it = DJBIO_INITREAD(read_large, 0, inbuf, sizeof(inbuf));
djbio *djbiofd_in = &it;
