#include "djbio.h"
#include "getln.h"

int getln_max(register djbio *iop, register stralloc *out, unsigned int *match, char sep, unsigned int maxlen)
{
  byte_t *cont;
  unsigned int clen;

  if (getln2_max(iop, out, &cont, &clen, sep, maxlen) < 0) return -1;
  if (!clen) {
    *match = 0;
    return 0;
  }
  if (!stralloc_catb(out, cont, clen)) return -1;
  *match = 1;
  return 0;
}
