#include <sys/types.h>
#include <sys/param.h>
#include <sys/socket.h>

#include <nemo/byte.h>

#include "socket.h"

int socket4_bind_reuse(int s, const ip4_address *ip, uint16_t port)
{
  int opt;
  opt = 1;
  setsockopt(s, SOL_SOCKET, SO_REUSEADDR, &opt, sizeof opt);
  return socket4_bind(s, ip, port);
}
