#include <sys/socket.h>
#include <netinet/in.h>

#include <nemo/byte.h>

#include "socket.h"

#include <nemo/uint16.h>

int socket4_connect(int s, const ip4_address *ip, uint16_t port)
{
  struct sockaddr_in sa;

  byte_zero(&sa, sizeof sa);
  sa.sin_family = AF_INET;
  uint16_pack_big(port, &sa.sin_port);
  ip4_pack(ip, &sa.sin_addr);
  return connect(s, (struct sockaddr*)&sa, sizeof sa);
}
