#include <sys/types.h>
#include <sys/param.h>
#include <sys/socket.h>
#include <netinet/in.h>

#include <nemo/byte.h>

#include "socket.h"

#include <nemo/uint16.h>

int socket4_recv(int s, void *buf, unsigned int len, ip4_address *ip, uint16_t *port)
{
  register ssize_t r;
  struct sockaddr_in sa;
  socklen_t dummy;

  dummy = sizeof sa;
  r = recvfrom(s, buf, len, 0, (struct sockaddr*)&sa, &dummy);
  if (r < 0) return -1;
  ip4_unpack(ip, &sa.sin_addr);
  uint16_unpack_big(port, &sa.sin_port);
  return (int)r;
}
