#include <sys/types.h>
#include <sys/param.h>
#include <sys/socket.h>
#include <netinet/in.h>

#include <nemo/ndelay.h>
#include <nemo/stdint.h>
#include <nemo/unix.h>

#include "socket.h"

static int one = 1;

int socket6_tcp(void)
{
  register int s;

  s = socket(AF_INET6, SOCK_STREAM, 0);
  if (s < 0) return -1;
  if (ndelay_on(s) < 0) {
    close(s);
    return -1;
  }
  setsockopt(s, IPPROTO_IPV6, IPV6_V6ONLY, (void*)&one, sizeof(one));
  return s;
}
