#include <sys/types.h>
#include <fcntl.h>
#include <poll.h>

#include <nemo/macro_unused.h>

void _exit(int);

int main(int argc __UNUSED__, char **argv __UNUSED__)
{
  struct pollfd x;

  x.fd = open("trypoll.c", O_RDONLY);
  if (x.fd < 0) _exit(111);
  x.events = POLLIN;
  if (poll(&x, 1, 10) < 0) _exit(1);
  if (x.revents != POLLIN) _exit(1);

  /* XXX: try to detect and avoid poll() imitation libraries */

  _exit(0);
}
