#ifndef NEMO_COMMANDS_H
#define NEMO_COMMANDS_H

#include <nemo/stralloc.h>

#ifdef __cplusplus
extern "C" {
#endif

struct commands {
  const char *verb;  /* must be lower case */
  void (*action)(const stralloc *arg);
  void (*flush)(void);
};

int commands(djbio *biop, const struct commands *c);

#ifdef __cplusplus
}
#endif

#endif
