#include <nemo/error.h>
#include <nemo/open.h>

#include "readclose.h"
#include "openreadclose.h"

int openreadlistclose(const char *fn, sa_vector *out)
{
  register int fd;
  fd = open_read(fn);
  if (fd < 0) {
    return (errno == error_noent) ? 0 : -1;
  }
  return readlistclose(fd, out);
}
