#ifndef NEMO_SGETOPT_H
#define NEMO_SGETOPT_H

#ifndef SGETOPTNOSHORT
#define getopt sgetoptmine
#define optarg subgetoptarg
#define optind subgetoptind
#define optpos subgetoptpos
#define opterr sgetopterr
#define optproblem subgetoptproblem
#define optprogname sgetoptprogname
#define opteof subgetoptdone
#endif

#include <nemo/subgetopt.h>

#ifdef __cplusplus
extern "C" {
#endif

int	getopt(int argc, char **argv, const char *opts);
int	sgetoptmine(int argc, char **argv, const char *opts);

extern int sgetopterr;
extern char *sgetoptprogname;

#ifdef __cplusplus
}
#endif

#endif
