#include <sys/types.h>
#include <sys/param.h>
#include <sys/socket.h>
#include <netinet/in.h>

#include "socket.h"

void socket_try_reserve_in(register int s, int size)
{
  while (size >= 1024) {
    if (!setsockopt(s, SOL_SOCKET, SO_RCVBUF, &size, sizeof size)) return;
    size -= (size >> 5);
  }
}
